#include <EtherCard.h>
static byte mymac[] = { 0x74,0x69,0x69,0x2D,0x30,0x31 };
int REL = 3;
int TR = 0;
byte Ethernet::buffer[700];
static uint32_t timer;
static void gotPinged (byte* ptr) {ether.printIp(">>> ping from: ", ptr);}

void setup () {
  pinMode(REL, OUTPUT);
  digitalWrite(REL, LOW);
  Serial.begin(57600);
  Serial.println("\n[pings]"); 
  if (ether.begin(sizeof Ethernet::buffer, mymac, SS) == 0)
    Serial.println(F("Failed to access Ethernet controller"));
  
  if (!ether.dhcpSetup())
    Serial.println(F("DHCP failed"));
  ether.printIp("IP:  ", ether.myip);
  ether.printIp("GW:  ", ether.gwip);
#if 1
  if (!ether.dnsLookup(PSTR("www.google.com")))
    Serial.println("DNS failed");
#else
  ether.parseIp(ether.hisip, "8.8.8.8");
#endif
  ether.printIp("SRV: ", ether.hisip);
  ether.registerPingCallback(gotPinged);
  timer = -9999999; 
  Serial.println();
}

void loop () {
  word len = ether.packetReceive(); 
  word pos = ether.packetLoop(len); 

  if (len > 0 && ether.packetLoopIcmpCheckReply(ether.hisip)) {
    Serial.print("  ");
    Serial.print((micros() - timer) * 0.001, 3);
    Serial.println(" ms");   
   TR=0;  
  };

 
   
if (TR>=36) {
//Serial.println(" request accept"); 
  digitalWrite(REL, HIGH); 
  delay(5000);
  TR=0; 
  } else {
 //   Serial.println(" request timeout"); 
 digitalWrite(REL, LOW);
      
};
    
  if (micros() - timer >= 5000000) {
    ether.printIp("Pinging: ", ether.hisip);
    timer = micros();
    ether.clientIcmpRequest(ether.hisip);
Serial.println(TR); 
TR = TR+1; 
if(TR>=1000){TR=100;};
  }
  

      
  
}

